summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorB. Stack <bgstack15@gmail.com>2021-09-30 21:30:39 -0400
committerB. Stack <bgstack15@gmail.com>2021-09-30 21:30:39 -0400
commita584b2befb038bdce430522b83be29ea71ac6b81 (patch)
tree119312535b9a4c062c301905b6e571c97bdbc1e9
parentdisable search-config.patch (diff)
downloadlibrewolf-debian-a584b2befb038bdce430522b83be29ea71ac6b81.tar.gz
librewolf-debian-a584b2befb038bdce430522b83be29ea71ac6b81.tar.bz2
librewolf-debian-a584b2befb038bdce430522b83be29ea71ac6b81.zip
use branches from git repos
-rwxr-xr-xscripts/prep-librewolf-dpkg.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/scripts/prep-librewolf-dpkg.sh b/scripts/prep-librewolf-dpkg.sh
index 0bf9de0..03e71ff 100755
--- a/scripts/prep-librewolf-dpkg.sh
+++ b/scripts/prep-librewolf-dpkg.sh
@@ -82,9 +82,9 @@ test -z "${SKIP_EXTRACT}" && {
# test -z "${SKIP_GIT}" && (
# yes, use a sub-shell because of this cd. pushd is a bash builtin, but we are using sh and not bash.
# cd "${git_source_dir}"
- git clone "${librewolf_common_url}" ${git_source_dir}/common || ( cd "${git_source_dir}/common" ; git checkout master ; git pull ; )
+ git clone "${librewolf_common_url}" ${git_source_dir}/common || ( cd "${git_source_dir}/common" ; git checkout master ; git pull ; git checkout "v${distro_firefox_version}" ; )
git clone "${librewolf_settings_url}" ${git_source_dir}/settings || ( cd "${git_source_dir}/settings" ; git checkout master ; git pull ; )
- git clone "${librewolf_linux_url}" ${git_source_dir}/linux || ( cd "${git_source_dir}/linux" ; git checkout master ; git pull ; )
+ git clone "${librewolf_linux_url}" ${git_source_dir}/linux || ( cd "${git_source_dir}/linux" ; git checkout master ; git pull ; git checkout "v${distro_firefox_version}" ; )
# )
bgstack15